%define upstream_name    NetPacket
%define upstream_version 1.3.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Assemble and disassemble ethernet packets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'NetPacket' provides a base class for a cluster of modules related to
decoding and encoding of network protocols. Each 'NetPacket' descendent
module knows how to encode and decode packets for the network protocol it
implements. Consult the documentation for the module in question for
protocol-specific implementation.

Note that there is no inheritance in the 'NetPacket::' cluster of modules
other than each protocol module being a 'NetPacket'. This was seen to be
too restrictive as imposing inheritance relationships (for example between
the IP, UDP and TCP protocols) would make things like tunneling or other
unusual situations difficult.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 370987
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 24 2011 kharec <kharec> 1.3.1-1.mga2
+ Revision: 171581
- update to 1.3.1

* Mon Nov 14 2011 kharec <kharec> 1.3.0-1.mga2
+ Revision: 167502
- update to 1.3.0
- update to 1.2.0

* Wed Jun 22 2011 jquelin <jquelin> 1.1.2-1.mga2
+ Revision: 112286
- update to 1.1.2

* Wed Feb 16 2011 jquelin <jquelin> 1.1.1-1.mga1
+ Revision: 52621
- update to 1.1.1

* Thu Jan 20 2011 jquelin <jquelin> 1.0.1-1.mga1
+ Revision: 26749
- mageia rebuild
- imported package perl-NetPacket

